Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IERDiagram

    com.change_vision.jude.api.inf.model.IERDiagram

All Superinterfaces:
  IDiagram, IElement, IEntity, IHyperlinkOwner, INamedElement

All Implemented Interfaces:
  IDiagram, IElement, IEntity, IHyperlinkOwner, INamedElement

    public IERDiagram

extends IDiagram

Interface for ER diagrams.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract String` | `getInitialDisplayLevel()` Get Initial Display Level.
`abstract String` | `getModelType()` Get Model Type.
`abstract String` | `getNotation()` Get Notation.
`abstract boolean` | `isAlignAttributeItems()` Check if the class is Align Attribute Items.
`abstract void` | `setAlignAttributeItems(boolean isAlignAttributeItems)` Set Abstract to Class.
`abstract void` | `setInitialDisplayLevel(String initialDisplayLevel)` Set Initial Display Level to ER diagrams.
`abstract void` | `setModelType(String modelType)` Set Model Type to ER diagrams.
`abstract void` | `setNotation(String notation)` Set Notation to ER diagrams.

Methods inherited from class com.change_vision.jude.api.inf.model.IDiagram
`exportImage, getBoundRect, getPresentations, getProperties, getProperty, getText, setProperties, setProperty`

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getClientRealizations, getClientUsages, getConstraints, getDefinition, getDiagrams, getFullName, getFullNamespace, getName, getSupplierDependencies, getSupplierRealizations, getSupplierUsages, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getContainer, getContainers, getId, getOwner, getPresentations, getStereotypes, getTaggedValues, getTypeModifier, hasStereotype, hasStereotype, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getNotation

    abstract String getNotation()

  Get Notation.

  Returns:
    Notation "IDEF1X","IE"

### getModelType

    abstract String getModelType()

  Get Model Type.

  Returns:
    Model Type "Logical Model","Physical Model"

### getInitialDisplayLevel

    abstract String getInitialDisplayLevel()

  Get Initial Display Level.

  Returns:
    Initial Display Level "Entity","Primary Key","Attribute"

### isAlignAttributeItems

    abstract boolean isAlignAttributeItems()

  Check if the class is Align Attribute Items.

  Returns:
    true it is Align Attribute Items / false it is not Align Attribute Items

### setNotation

    abstract void setNotation(String notation)

  Set Notation to ER diagrams.

  Parameters:
    `notation` - Notation "IDEF1X","IE"
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setModelType

    abstract void setModelType(String modelType)

  Set Model Type to ER diagrams.

  Parameters:
    `modelType` - Model Type "Logical Model","Physical Model"
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setInitialDisplayLevel

    abstract void setInitialDisplayLevel(String initialDisplayLevel)

  Set Initial Display Level to ER diagrams.

  Parameters:
    `initialDisplayLevel` - Initial Display Level "Entity","Primary Key","Attribute"
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setAlignAttributeItems

    abstract void setAlignAttributeItems(boolean isAlignAttributeItems)

  Set Abstract to Class.

  Parameters:
    `isAbstract` - if true, it is Align Attribute Items, otherwise, it is not Align Attribute Items.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD